|  | Home · All Classes · Modules

# QMainWindow.DockOptions Class Reference
[QtGui module]

### Methods

- __init__ (self, DockOptions)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- DockOptions __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, DockOptions f)
- DockOptions __iand__ (self, int mask)
- int __int__ (self)
- DockOptions __invert__ (self)
- DockOptions __ior__ (self, DockOptions f)
- DockOptions __ixor__ (self, DockOptions f)
- bool __ne__ (self, DockOptions f)
- DockOptions __or__ (self, DockOptions f)
- DockOptions __or__ (self, int f)
- DockOptions __xor__ (self, DockOptions f)
- DockOptions __xor__ (self, int f)

## Detailed Description

DockOption may be used whenever DockOptions is expected.

## Method Documentation

### DockOptions.__init__ (self, DockOptions)

### DockOptions.__init__ (self, int)

### DockOptions.__init__ (self)

### DockOptions DockOptions.__and__ (self, int mask)

### int DockOptions.__bool__ (self)

### bool DockOptions.__eq__ (self, DockOptions f)

### DockOptions DockOptions.__iand__ (self, int mask)

### int DockOptions.__int__ (self)

### DockOptions DockOptions.__invert__ (self)

### DockOptions DockOptions.__ior__ (self, DockOptions f)

### DockOptions DockOptions.__ixor__ (self, DockOptions f)

### bool DockOptions.__ne__ (self, DockOptions f)

### DockOptions DockOptions.__or__ (self, DockOptions f)

### DockOptions DockOptions.__or__ (self, int f)

### DockOptions DockOptions.__xor__ (self, DockOptions f)

### DockOptions DockOptions.__xor__ (self, int f)